/*
 * @(#)dvd+rw-format.cpp
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details
 *
 * Jörg P. M. Haeger, 08.11.2002
 */

#include <stdio.h>
#include <unistd.h>

/**
 * A simple dvd+rw-format simulation
 *
 * @version 20021123
 * @author Jörg P. M. Haeger
 */
int main(int argc, char *args[]) {
	printf("* DVD+RW format utility dummy <xxx>, version 3.0.\n");
	printf("* 4.7GB DVD+RW media detected.\n");

	for (int i = 1; i <= 15; i++) {
		printf("* formatting %.1f%%\n", i / 10.0);
		fflush(stdout);
		sleep(1);
	}

	return 0;
}
